J1939 Support On Linux Kernel version 4.1.15

cancel
Showing results for 
Search instead for 
Did you mean: 

J1939 Support On Linux Kernel version 4.1.15

532 Views
anjana_thekketh
Contributor I

I am new to Linux CAN module. Iam using Linux Kernel version 4.1.15.We want to add j1939 software stack into our socketCAN layer. Is this will work without any change in Kernel or i have to add J1939 support to the kernel? If yes want to know the how I can include this J1939 support in kernel. Iam using imx6ull processor.

Labels (3)
1 Reply

399 Views
Bio_TICFSL
NXP TechSupport
NXP TechSupport

Hello Anjana,

 J1939 got in mainline kernel since v5.4, You will probably also want to use can-utils for mx6ull.

Regards